libcoap 4.3.2rc2

Data Fields
coap_block_b_t Struct Reference
Application API » Block Transfer

Structure of Block options with BERT support. More...

`#include <coap_block.h>`

## Data Fields
unsigned int | num
| block number More...
unsigned int | m:1
| 1 if more blocks follow, 0 otherwise More...
unsigned int | szx:3
| block size (0-6) More...
unsigned int | aszx:3
| block size (0-7 including BERT More...
unsigned int | defined:1
| Set if block found. More...
unsigned int | bert:1
| Operating as BERT. More...
uint32_t | chunk_size
| ‍1024 if BERT More...

## Detailed Description

Structure of Block options with BERT support.

Definition at line 51 of file coap_block.h.

## Field Documentation

## ◆ aszx

unsigned int coap_block_b_t::aszx

block size (0-7 including BERT

Definition at line 55 of file coap_block.h.

## ◆ bert

unsigned int coap_block_b_t::bert

Operating as BERT.

Definition at line 57 of file coap_block.h.

## ◆ chunk_size

uint32_t coap_block_b_t::chunk_size

> ‍1024 if BERT

Definition at line 58 of file coap_block.h.

## ◆ defined

unsigned int coap_block_b_t::defined

Set if block found.

Definition at line 56 of file coap_block.h.

## ◆ m

unsigned int coap_block_b_t::m

1 if more blocks follow, 0 otherwise

Definition at line 53 of file coap_block.h.

## ◆ num

unsigned int coap_block_b_t::num

block number

Definition at line 52 of file coap_block.h.

## ◆ szx

unsigned int coap_block_b_t::szx

block size (0-6)

Definition at line 54 of file coap_block.h.

The documentation for this struct was generated from the following file:

- coap_block.h